/* Default CSS */
:root {
    --black-color: #000000;
    --dark-color: #444444;
    --white-color: #ffffff;
    --main-color: #49badc;

    --bg-one: #ffffff;
    --bg-two: #eff6ff;

    --border-color: #49badc;

    --nav-bg: #ffffff;
    --nav-color: #002846;
    --nav-hover: #49badc;

    --title-color: #002846;
    --title-mark: #49badc;
    --paragraph-color: #444444;

    --button-color: #ffffff;
    --button-bg: #49badc;
    --button-hover-bg: #1e98bd;

    --footer-bg: #002846;
    --footer-color: #ffffff;
}

html {
    scroll-behavior: smooth;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Montserrat", system-ui;
}

a {
    text-decoration: none;
}

p {
    font-size: 16px;
    line-height: 22px;
    color: var(--paragraph-color);
}

ul {
    list-style-type: none;
}

img {
    max-width: 100%;
}

.myContainer {
    width: 100%;
    max-width: 1240px;
    margin: auto;
    padding: 0 20px;
}

.title-container h1 {
    font-size: 35px;
    line-height: 40px;
    color: var(--title-color);
    text-align: center;
    font-weight: 800;
}

.title-container h1 span {
    color: var(--main-color);
}

/* Responsive */
@media screen and (max-width: 768px) {
    .title-container h1 {
        font-size: 30px;
        line-height: 35px;
    }
}

@media screen and (max-width: 400px) {
    .title-container h1 {
        font-size: 27px;
        line-height: 32px;
    }
}

.button-container a {
    color: var(--button-color);
    background: var(--button-bg);
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
    padding: 10px 20px;
    border-radius: 8px;
    text-transform: capitalize;
}

.button-container a:hover {
    background: var(--button-hover-bg);
}

/* Header Navigation Section */
/* Header Navigation Section */
/* Header Navigation Section */
.header .navbar {
    background: var(--nav-bg);
    padding: 20px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar .logo img {
    width: 150px;
}

.navbar .navbar-links {
    display: flex;
    align-items: center;
}

.navbar .navbar-links a {
    padding: 0.5rem;
    font-size: 16px;
    line-height: 25px;
    color: var(--nav-color);
    transition: all 0.3s ease-in-out;
    text-transform: uppercase;
    font-weight: 600;
}

.navbar .navbar-links a:hover {
    color: var(--nav-hover);
}

/* Header Navigation Section Responsive */
@media screen and (max-width: 768px) {
    .header .navbar {
        flex-direction: column;
        justify-content: center;
    }

    .header .navbar-links {
        padding-top: 10px;
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 568px) {
    .navbar .navbar-links a {
        font-size: 14px;
    }
}

@media screen and (max-width: 468px) {
    .navbar .navbar-links a {
        font-size: 10px;
    }
}

@media screen and (max-width: 318px) {
    .navbar .navbar-links a {
        font-size: 8px;
    }
}


/* Banner Section */
/* Banner Section */
/* Banner Section */
.banner {
    background: url(../images/hero.jpg);
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative
}

.banner::before {
    content: "";
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 3;
}

.banner .banner-container {
    text-align: center;
    padding: 0 20px;
    position: relative;
    z-index: 4;
}

.banner .banner-container .title {
    font-size: 80px;
    line-height: 92px;
    color: var(--white-color);
    font-weight: 700;
    text-transform: uppercase;
}

.banner .banner-container .title span {
    color: var(--main-color);
}

.banner .banner-container .info {
    width: 100%;
    max-width: 650px;
    margin: auto;
    font-size: 18px;
    line-height: 22px;
    color: var(--white-color);
    font-weight: 400;
    padding-top: 10px;
}

.banner .banner-container .button-container {
    padding-top: 30px;
}

.banner .banner-container .button-container a {
    color: var(--button-color);
    background: transparent;
    border: 2px solid var(--border-color);
    font-size: 18px;
    line-height: 23px;
    font-weight: 600;
    border-radius: var(--border-radius);
    transition: all 0.3s ease-in-out;
    padding: 10px 20px;
}

.banner .banner-container .button-container a:hover {
    background: var(--button-bg-color);
}

/* Header Section Responsive */
@media screen and (max-width: 1140px) {
    .banner .banner-container .title {
        font-size: 60px;
        line-height: 70px;
    }
}

@media screen and (max-width: 992px) {
    .banner .banner-container .title {
        font-size: 40px;
        line-height: 47px;
    }
}

@media screen and (max-width: 620px) {
    .banner .banner-container .title {
        font-size: 35px;
        line-height: 42px;
    }
}

@media screen and (max-width: 550px) {
    .banner .banner-container .title {
        font-size: 30px;
        line-height: 37px;
    }
}

@media screen and (max-width: 480px) {
    .banner .banner-container .title {
        font-size: 27px;
        line-height: 37px;
    }
}

@media screen and (max-width: 440px) {
    .banner .banner-container .title {
        font-size: 25px;
        line-height: 32px;
    }
}

@media screen and (max-width: 420px) {
    .banner .banner-container .title {
        font-size: 20px;
        line-height: 30px;
    }
}


/* About Section */
/* About Section */
/* About Section */
.about-section {
    background: var(--bg-one);
    padding: 60px 0;
}

.about-section .about-container {
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 25px;
}

.about-container .about-item h3 {
    font-size: 25px;
    line-height: 35px;
}

.about-container .about-item h3 span {
    color: var(--title-mark);
}

.about-container .about-item .info {
    padding-top: 10px;
}

.about-container .about-item .info p.name {
    font-size: 18px;
    font-weight: 700;
    color: var(--title-color);
    margin-bottom: 10px;
}

.about-container .about-item .button-container {
    padding-top: 20px;
}

.about-container .about-item .photo {
    border: 1px solid transparent;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    border-radius: 15px;
}

.about-container .about-item .photo img {
    border: 1px solid transparent;
    transition: all 0.3s ease-in-out;
    border-radius: 15px;
    width: 100%;
}

.about-container .about-item .photo img:hover {
    transform: scale(1.05);
}

/*About Section Responsive */
@media screen and (max-width: 768px) {
    .about-section .about-container {
        grid-template-columns: 1fr;
    }

    .about-container .about-item h3 {
        font-size: 20px;
        line-height: 25px;
    }
}


/* Team Section */
/* Team Section */
/* Team Section */
.team-section {
    padding: 60px 0;
    background: var(--bg-two);
}

.team-section .team-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 40px;
}

.team-container .team-item {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.team-container .team-item {
    background: var(--white-color);
    border: 1px solid #dddddd;
    border-radius: 10px;

}

.team-container .team-item img {
    width: 100%;
}

.team-container .team-item .team-details {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    flex-grow: 1;
    padding: 10px;
    position: relative;
    z-index: 1;
}

.team-container .team-item .team-details .name {
    font-size: 20px;
    line-height: 25px;
    font-weight: 700;
    margin-top: 10px;
    text-align: center;
}

.team-container .team-item .profession {
    font-size: 16px;
    line-height: 22px;
    font-weight: 400;
    text-align: center;
}

/*Team Section Responsive */
@media screen and (max-width: 700px) {
    .team-section .team-container {
        grid-template-columns: 1fr;
    }
}



/* Services Section */
/* Services Section */
/* Services Section */
.services-section {
    padding: 60px 0;
    background-color: var(--bg-one);
}

.services-section .services-container {
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.services-container .services-item {
    border: 1px solid #dddddd;
    border-radius: 20px;
}

.services-container .services-item img {
    width: 100%;
    border-radius: 20px 20px 0 0;
}

.services-container .services-item .service-details {
    padding: 15px 10px;
    text-align: center;
}

.services-container .services-item .service-details h3 {
    font-size: 20px;
    line-height: 25px;
    font-weight: 700;
    text-align: center;
    color: var(--title-color);
    padding-bottom: 10px;
}

.services-container .services-item p {
    color: var(--paragraph-color);
}

/* Services Section Responsive */
@media screen and (max-width: 992px) {
    .services-section .services-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 768px) {
    .services-section .services-container {
        grid-template-columns: 1fr;
    }

    .services-container .services-item img {
        height: 300px;
        object-fit: cover;
    }
}

@media screen and (max-width: 568px) {
    .services-container .services-item img {
        height: 200px;
        object-fit: cover;
    }
}


/* Gallery Section */
/* Gallery Section */
/* Gallery Section */
.gallery-section {
    padding: 60px 0;
    background: var(--bg-two);
}

.gallery-container {
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    column-gap: 5px;
}

.gallery-item {
    overflow: hidden;
    margin-top: -4px;
}

.gallery-item img {
    width: 100%;
    height: 100%;
    /* This ensures all images take up their containers */
    object-fit: cover;
    /* This keeps the aspect ratio of images */
}

/* Responsive Gallery */

@media screen and (max-width: 768px) {
    .gallery-container {
        grid-template-columns: 1fr;
    }

    .gallery-item img {
        height: 500px;
        margin-top: 10px;
    }
}

@media screen and (max-width: 668px) {
    .gallery-item img {
        height: 300px;
    }
}



/* Contact Section */
/* Contact Section */
/* Contact Section */
.contact-section {
    padding: 60px 0;
    background: var(--bg-one);
}

.contact-section .contact-container {
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.contact-container .links-container li {
    padding-top: 8px;
}

.contact-container .links-container a {
    font-size: 18px;
    font-weight: 700;
    color: var(--title-color);
    display: flex;
    align-items: center;
    gap: 10px;
    transition: all 0.3s ease-in-out;
}

.contact-container .links-container a i {
    color: var(--main-color);
}

.contact-container .links-container a:hover {
    color: var(--main-color);
}

.contact-section .contact-container .social-media {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding-top: 30px;
}

.contact-section .contact-container .social-media a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 33px;
    height: 33px;
    border: 1px solid var(--border-color);
    border-radius: 50%;
    font-size: 18px;
    transition: all 0.3s ease-in-out;
}

.contact-section .contact-container .social-media a:hover {
    background: var(--main-color);
}

.contact-section .contact-container .social-media a img {
    width: 15px;
}


/* Footer Section */
/* Footer Section */
/* Footer Section */
.footer {
    padding: 20px;
    background: var(--footer-bg);
}

.footer p {
    font-size: 14px;
    color: var(--footer-color);
    text-align: center;
}